Index: FOIAVistA/tag/r/DRG_GROUPER-ICD--ICPT/ICDTLB6A.m
===================================================================
--- FOIAVistA/trunk/r/DRG_GROUPER-ICD--ICPT/ICDTLB6A.m	(revision 631)
+++ FOIAVistA/tag/r/DRG_GROUPER-ICD--ICPT/ICDTLB6A.m	(revision 636)
@@ -1,4 +1,4 @@
 ICDTLB6A ;ALB/EG/MRY - GROUPER UTILITY FUNCTIONS FY 2005; 9/29/03 2:47pm ; 6/16/05 1:31pm
- ;;18.0;DRG Grouper;**14,17**;Oct 20, 2000
+ ;;18.0;DRG Grouper;**14,17**;Oct 20, 2000;Build 1
 DRG403 S ICDRG=$S(ICDPD["l":$S(AGE="":470,AGE<18:405,1:473),ICDOR["O"!(ICDORNI["O"):$S(ICDCC:401,1:402),ICDCC:403,1:404),ICDRTC=$S(ICDRG=470:3,1:ICDRTC) Q
 DRG404 S ICDRG=$S(ICDPD["l":$S(AGE="":470,AGE<18:405,1:473),ICDOR["O"!(ICDORNI["O"):$S(ICDCC:401,1:402),ICDCC:403,1:404),ICDRTC=$S(ICDRG=470:3,1:ICDRTC) Q
Index: FOIAVistA/tag/r/DRG_GROUPER-ICD--ICPT/ICDTLB6B.m
===================================================================
--- FOIAVistA/trunk/r/DRG_GROUPER-ICD--ICPT/ICDTLB6B.m	(revision 631)
+++ FOIAVistA/tag/r/DRG_GROUPER-ICD--ICPT/ICDTLB6B.m	(revision 636)
@@ -1,4 +1,4 @@
 ICDTLB6B ;ALB/EG/MRY - GROUPER UTILITY FUNCTIONS FY 2006; 9/29/03 2:47pm ; 6/28/05 4:06pm
- ;;18.0;DRG Grouper;**20,22**;Oct 20, 2000
+ ;;18.0;DRG Grouper;**20,22**;Oct 20, 2000;Build 1
 DRG403 S ICDRG=$S(ICDPD["l":$S(AGE="":470,AGE<18:405,1:473),ICDOR["O"!(ICDORNI["O"):$S(ICDCC:401,1:402),ICDCC:403,1:404),ICDRTC=$S(ICDRG=470:3,1:ICDRTC) Q
 DRG404 S ICDRG=$S(ICDPD["l":$S(AGE="":470,AGE<18:405,1:473),ICDOR["O"!(ICDORNI["O"):$S(ICDCC:401,1:402),ICDCC:403,1:404),ICDRTC=$S(ICDRG=470:3,1:ICDRTC) Q
Index: FOIAVistA/tag/r/DRUG_ACCOUNTABILITY-PSA/PSABRKU3.m
===================================================================
--- FOIAVistA/trunk/r/DRUG_ACCOUNTABILITY-PSA/PSABRKU3.m	(revision 631)
+++ FOIAVistA/tag/r/DRUG_ACCOUNTABILITY-PSA/PSABRKU3.m	(revision 636)
@@ -1,4 +1,4 @@
 PSABRKU3 ;BIR/JMB/PDW-Upload and Process Prime Vendor Invoice Data - CONT'D ;8/13/97
- ;;3.0; DRUG ACCOUNTABILITY/INVENTORY INTERFACE;**26,41,47,67**; 10/24/97;Build 15
+ ;;3.0; DRUG ACCOUNTABILITY/INVENTORY INTERFACE;**26,41,47**; 10/24/97
  ;Checking the X12 invoice data.
  S (PSASTCNT,PSAITCNT,PSACTRL(1))=0
@@ -73,10 +73,4 @@
 IT1 .;invoice line item
  .I PSALAST="IT1" S PSASTCNT=PSASTCNT+1,PSAITCNT=PSAITCNT+1 D ITEM Q
- .;BGN PSA*3*67
-PID .;generic vendor item name
- .I PSALAST="PID" S PSASTCNT=PSASTCNT+1,$P(^TMP($J,"PSAPV SET",PSACTRL,"IT",PSAITEM),"^",29)=$S($P(PSADATA,"^",6)=$P(^TMP($J,"PSAPV SET",PSACTRL,"IT",PSAITEM),"^",28):"Unknown",1:$P(PSADATA,"^",6)) Q
-PO4 .;DESCRIPTION OF ITEM
- .I PSALAST="PO4" S PSASTCNT=PSASTCNT+1,$P(^TMP($J,"PSAPV SET",PSACTRL,"IT",PSAITEM),"^",30)=$P(PSADATA,"^",3)_"^"_$P(PSADATA,"^",9) D  Q
- .;END PSA*3*67
 CTT .;item count
  .I PSALAST="CTT" S PSASTCNT=PSASTCNT+1 D  Q
@@ -99,7 +93,4 @@
  S PSAITEM=+$P(PSADATA,"^",2),^TMP($J,"PSAPV SET",PSACTRL,"IT",PSAITEM)=+$P(PSADATA,"^",3)_"^"_$P(PSADATA,"^",4)_"^"_$P(PSADATA,"^",5)_"^"_$P(PSADATA,"^",8)_"^"_$P(PSADATA,"^",10)
  I $P(PSADATA,"^",12)'="",$P(PSADATA,"^",11)="UP" S $P(^TMP($J,"PSAPV SET",PSACTRL,"IT",PSAITEM),"^",26)=$P(PSADATA,"^",12)
- ;Next line to add vendor Generic Description
- I $P(PSADATA,"^",14)'="" S $P(^TMP($J,"PSAPV SET",PSACTRL,"IT",PSAITEM),"^",28)=$P(PSADATA,"^",14)
- ;Eop67
  Q
 RESETST ;Reset PSACTRL
Index: FOIAVistA/tag/r/DRUG_ACCOUNTABILITY-PSA/PSABRKU5.m
===================================================================
--- FOIAVistA/trunk/r/DRUG_ACCOUNTABILITY-PSA/PSABRKU5.m	(revision 631)
+++ FOIAVistA/tag/r/DRUG_ACCOUNTABILITY-PSA/PSABRKU5.m	(revision 636)
@@ -1,7 +1,18 @@
-PSABRKU5 ;BIR/DB-Upload and Process Prime Vendor Invoice Data - CONT'D ;7/23/97
- ;;3.0; DRUG ACCOUNTABILITY/INVENTORY INTERFACE;**26,67**; 10/24/97;Build 15
+PSABRKU5 ;BIR/JMB-Upload and Process Prime Vendor Invoice Data - CONT'D ;7/23/97
+ ;;3.0; DRUG ACCOUNTABILITY/INVENTORY INTERFACE;**26**; 10/24/97
  ;This routine checks for correct X12 formating.
  ;
 ORDER ;  check order of code sheets
+ ;  isa   <--------------+
+ ;    gs    <----------+ |
+ ;      st    <------+ | |
+ ;      | big        | | |
+ ;      | it1   <--+ | | |
+ ;      | ...      | | | |--repeats
+ ;      | it1   <--+ | | |
+ ;      | ctt        | | |
+ ;      se    <------+ | |
+ ;    ge    <----------+ |
+ ;  iea   <--------------+
  S PSANEXT=$P(PSADATA,"^")
  ;
@@ -20,8 +31,6 @@
  I PSALAST="ST",PSANEXT'="BIG" D ORDERROR("ST",PSANEXT,"BIG") Q
  ;
- ;adding next two lines for new format
- I PSALAST="IT1",PSANEXT="PID" Q
- I PSALAST="PO4",PSANEXT'="IT1",PSANEXT'="CTT"&(PSANEXT'="TDS") D ORDERROR("PO4",PSANEXT,"CTT") Q
- ;End of PSA*3*67 Changes
+ I PSALAST="IT1",PSANEXT="IT1" Q
+ I PSALAST="IT1",PSANEXT'="CTT"&(PSANEXT'="TDS") D ORDERROR("IT1",PSANEXT,"CTT") Q
  Q
  ;
Index: FOIAVistA/tag/r/DRUG_ACCOUNTABILITY-PSA/PSAENTO.m
===================================================================
--- FOIAVistA/trunk/r/DRUG_ACCOUNTABILITY-PSA/PSAENTO.m	(revision 631)
+++ FOIAVistA/tag/r/DRUG_ACCOUNTABILITY-PSA/PSAENTO.m	(revision 636)
@@ -1,4 +1,4 @@
 PSAENTO ;BIR/LTL,JMB-Set Up/Edit a Pharmacy Location - CONT'D ;7/23/97
- ;;3.0; DRUG ACCOUNTABILITY/INVENTORY INTERFACE;**12,21,43,63**; 10/24/97;Build 10
+ ;;3.0; DRUG ACCOUNTABILITY/INVENTORY INTERFACE;**12,21,43**; 10/24/97
  ;This routines is called by PSAENT.
  ;
@@ -34,5 +34,5 @@
  S:'$D(PSALOC) PSALOC=$O(^PSD(58.8,"AOP",+PSAOSIT,"")),PSALOCN=$P($G(^PSD(58.8,+PSALOC,0)),U)
 OPC W !!,"Outpatient site selection affects the collection of dispensing data.",!
- S DIE="^PSD(58.8,",DA=PSALOC,DR="20//^S X=$P($G(^PS(59,+PSAOSIT,0)),U)" D ^DIE K DIE I $D(DTOUT)!($D(Y)) G QUIT  ;; <3*63 RJS>
+ S DIE="^PSD(58.8,",DA=PSALOC,DR="20//^S X=$P($G(^PS(59,+PSAOSIT,0)),U)" D ^DIE K DIE G:$D(Y) QUIT
  S PSAOSIT=+$P($G(^PSD(58.8,PSALOC,0)),"^",10)
  G:'PSALOC QUIT
@@ -55,5 +55,5 @@
  ...S ^PSD(58.8,+PSALOC,1,+PSADRUG,5,0)="^58.801A^^"
  ...S DIC="^PSD(58.8,+PSALOC,1,+PSADRUG,5,",DIC(0)="LM",(X,DINUM)=$E(DT,1,5)*100,DA(2)=PSALOC,DA(1)=PSADRUG,DIC("DR")="1////^S X=$G(PSAQTY);5////^S X=$G(PSAQTY)",DLAYGO=58.8 D ^DIC K DIC,DLAYGO
- ...F  L +^PSD(58.81,0):$S($G(DILOCKTM)>0:DILOCKTM,1:3) I  Q
+ ...F  L +^PSD(58.81,0):0 I  Q
 FIND ...S PSAT=$P(^PSD(58.81,0),U,3)+1 I $D(^PSD(58.81,PSAT)) S $P(^PSD(58.81,0),U,3)=$P(^PSD(58.81,0),U,3)+1 G FIND
  ...S DIC="^PSD(58.81,",DIC(0)="L",DLAYGO=58.81,(DINUM,X)=PSAT D ^DIC K DIC,DLAYGO L -^PSD(58.81,0)
Index: FOIAVistA/tag/r/DRUG_ACCOUNTABILITY-PSA/PSAORDP1.m
===================================================================
--- FOIAVistA/trunk/r/DRUG_ACCOUNTABILITY-PSA/PSAORDP1.m	(revision 631)
+++ FOIAVistA/tag/r/DRUG_ACCOUNTABILITY-PSA/PSAORDP1.m	(revision 636)
@@ -1,4 +1,4 @@
 PSAORDP1 ;BIR/JMB-Print Orders - CONT'D ;9/19/97
- ;;3.0; DRUG ACCOUNTABILITY/INVENTORY INTERFACE;**3,12,21,61,65,67**; 10/24/97;Build 15
+ ;;3.0; DRUG ACCOUNTABILITY/INVENTORY INTERFACE;**3,12,21,61,65**; 10/24/97;Build 2
  ;This routine prints invoices.
  ;
@@ -124,7 +124,4 @@
  .W:+$P($G(^PSD(58.811,PSAORD,1,PSAINV,1,PSALN,2)),"^",2)'=0 !?9,"REORDER LEVEL: "_$FN(+$P(^PSD(58.811,PSAORD,1,PSAINV,1,PSALN,2),"^",2),",")
  .;
- .;BGN 67
- .D DISP2^PSAP67
- .;END 67
  .I $Y+5>IOSL D:$E(IOST,1,2)="C-" SCREEN^PSAORDP2 Q:PSAOUT  D HEADER^PSAORDP2 D LINEHDR^PSAORDP2
  .D ^PSAORDP2 Q:PSAOUT
Index: FOIAVistA/tag/r/DRUG_ACCOUNTABILITY-PSA/PSAPROC4.m
===================================================================
--- FOIAVistA/trunk/r/DRUG_ACCOUNTABILITY-PSA/PSAPROC4.m	(revision 631)
+++ FOIAVistA/tag/r/DRUG_ACCOUNTABILITY-PSA/PSAPROC4.m	(revision 636)
@@ -1,4 +1,4 @@
 PSAPROC4 ;BIR/JMB-Process Uploaded Prime Vendor Invoice Data - CONT'D ;7/23/97
- ;;3.0; DRUG ACCOUNTABILITY/INVENTORY INTERFACE;**3,21,63**; 10/24/97;Build 10
+ ;;3.0; DRUG ACCOUNTABILITY/INVENTORY INTERFACE;**3,21**; 10/24/97
  ;References to ^PSDRUG( are covered by IA #2095
  ;References to ^DIC(51.5 are covered by IA #1931
@@ -52,17 +52,11 @@
  ;
 LIST Q:PSANODE=""!($P($G(^PSDRUG(PSAIEN50,0)),"^")="")
- ;3*63 RJS
- N PSAPPOU,PSADUOU,PSAPPDU,PSAVEND,PSAOU,PSACPPDU,X,PSANDC,PSADU,PSASYNM,PSAVSN
- S X=PSANODE
- S PSASYNM=$P(X,U,1),PSANDC=$P(X,U,2),PSAVSN=$P(X,U,4),PSAOU=+$P(X,U,5),PSAPPOU=$P(X,U,6)
- S PSADUOU=$P(X,U,7),PSAPPDU=$P(X,U,8),PSAVEND=$P(X,U,9)
- S PSADU=$$GET1^DIQ(50,PSAIEN50,14.5),PSAOU=$P($G(^DIC(51.5,PSAOU,0)),"^")
- S PSACPPDU=$S('PSADUOU:"BLANK",1:(PSAPPOU*1000/PSADUOU\1/1000)) ;recalculate PPDU, file doesn't reset PPDU
  W !?1,PSAMENU_".",?4,$P($G(^PSDRUG(PSAIEN50,0)),"^") I $D(^PSDRUG(PSAIEN50,"I")) W ?60,"(INACTIVE)"
- I PSANDC="",PSAVSN="" W !,?19,"SYN #",PSASYN,": ",PSASYNM,! Q
- W !,?4,"NDC: ",PSANDC,?25,"Order Unit: ",PSAOU,?46,"Price Per Order Unit: $",$FN(PSAPPOU,",",2)
- W !,?4,"VSN: ",PSAVSN,?19,"SYN #",PSASYN,": ",PSASYNM,?42,"Dose Unit Per Order Unit: ",PSADUOU
- W !,?4,"Vendor: ",PSAVEND,?47,"Price Per Dose Unit: ",$FN(PSACPPDU,","),!
- ;3*63 end
+ ;NOIS CTX-1200-71091 (PSA*3*21 Dave B)
+ I $P(PSANODE,"^",2)'="" W !,?4,"NDC : "_$P(PSANODE,"^",2)
+ I +$P(PSANODE,"^",5),$P($G(^DIC(51.5,+$P(PSANODE,"^",5),0)),"^")'="" W !?4,"Order Unit: "_$P(^DIC(51.5,+$P(PSANODE,"^",5),0),"^"),?45,"Price Per Order Unit   : $"_$S(+$P(PSANODE,"^",6):$P(PSANODE,"^",6),1:"(Blank)")
+ E  I +$P(PSANODE,"^",6) W !?4,"Price Per Order Unit: $"_$P(PSANODE,"^",6)
+ I $P(PSANODE,"^",9)'="" W !?4,"Vendor: "_$P(PSANODE,"^",9),?45,"VSN: "_$S($P(PSANODE,"^",4)'="":$P(PSANODE,"^",4),1:"(Blank)")
+ E  I $P(PSANODE,"^",4)'="" W !?4,"VSN: "_$S($P(PSANODE,"^",4)'="":$P(PSANODE,"^",4),1:"(Blank)")
  Q
  ;
Index: FOIAVistA/tag/r/DRUG_ACCOUNTABILITY-PSA/PSAPROC7.m
===================================================================
--- FOIAVistA/trunk/r/DRUG_ACCOUNTABILITY-PSA/PSAPROC7.m	(revision 631)
+++ FOIAVistA/tag/r/DRUG_ACCOUNTABILITY-PSA/PSAPROC7.m	(revision 636)
@@ -1,4 +1,4 @@
 PSAPROC7 ;BIR/JMB-Process Uploaded Prime Vendor Invoice Data - CONT'D ;9/6/97
- ;;3.0; DRUG ACCOUNTABILITY/INVENTORY INTERFACE;**3,12,27,21,42,61,64,67**; 10/24/97;Build 15
+ ;;3.0; DRUG ACCOUNTABILITY/INVENTORY INTERFACE;**3,12,27,21,42,61,64**; 10/24/97;Build 4
  ;This routine takes the data in XTMP and moves it to DA ORDERS file.
  ;It deletes the data in XTMP after it is copies.
@@ -65,10 +65,4 @@
  S $P(^PSD(58.811,DA(2),1,DA(1),1,DA,0),"^",6)=DT
  S $P(^PSD(58.811,DA(2),1,DA(1),1,DA,0),"^",7)=DUZ
- ;BGN 67
- S $P(^PSD(58.811,DA(2),1,DA(1),3,DA,0),"^",1)=$P(PSADATA,"^",28)
- S $P(^PSD(58.811,DA(2),1,DA(1),3,DA,0),"^",2)=$P(PSADATA,"^",29)
- S $P(^PSD(58.811,DA(2),1,DA(1),3,DA,0),"^",3)=$P(PSADATA,"^",30)
- S $P(^PSD(58.811,DA(2),1,DA(1),3,DA,0),"^",4)=$P(PSADATA,"^",31)
- ;END 67
  S DIK=DIE D IX^DIK
  ;End PSA*3*7
@@ -81,7 +75,4 @@
  I +$P(PSADATA,"^",7)!(+$P(PSADATA,"^",20))!(+$P(PSADATA,"^",21))!(+$P(PSADATA,"^",27)) D
  .S ^PSD(58.811,PSAIEN,1,PSAIEN1,1,PSAIEN2,2)=$P(PSADATA,"^",20)_"^"_$P(PSADATA,"^",21)_"^"_$S(+$P(PSADATA,"^",7):+$P(PSADATA,"^",7),1:0)_"^"_+$P(PSADATA,"^",27)
- ;Bgn 67
- I $P(PSADATA,"^",5)'="" S ^XTMP("PSAVSN",$P(PSADATA,"^",5))=$P(PSADATA,"^",28)_"^"_$P(PSADATA,"^",29)_"^"_$P(PSADATA,"^",30)_"^"_$P(PSADATA,"^",31)
- ;End 67
  K ^XTMP("PSAPV",PSACTRL,"IT",PSALINE)
  Q
Index: FOIAVistA/tag/r/DRUG_ACCOUNTABILITY-PSA/PSAUDP.m
===================================================================
--- FOIAVistA/trunk/r/DRUG_ACCOUNTABILITY-PSA/PSAUDP.m	(revision 631)
+++ FOIAVistA/tag/r/DRUG_ACCOUNTABILITY-PSA/PSAUDP.m	(revision 636)
@@ -1,4 +1,4 @@
 PSAUDP ;BIR/LTL,JMB-Nightly Background Job - CONT'D ;7/23/97
- ;;3.0; DRUG ACCOUNTABILITY/INVENTORY INTERFACE;**6,3,12,14,25,64,66**; 10/24/97;Build 2
+ ;;3.0; DRUG ACCOUNTABILITY/INVENTORY INTERFACE;**6,3,12,14,25,64**; 10/24/97;Build 4
  ;
  ;Reference to ^PS(57.6 are covered by IA #772
@@ -47,5 +47,4 @@
  S DIE="^PSD(58.8,PSALOC,1,PSA50,5,",DA(2)=PSALOC,DA(1)=PSA50,DA=$E(PSADT,1,5)*100,DR="9////^S X=$P($G(^(0)),U,6)+PSAQTY" D ^DIE K DIE,DA
  ;Get next transaction node number
- F  L +^PSD(58.81,0):$S($G(DILOCKTM)>0:DILOCKTM,1:3) I  Q  ;; << *66 RJS
 FIND S PSANUM=$P(^PSD(58.81,0),"^",3)+1 I $D(^PSD(58.81,PSANUM)) S $P(^PSD(58.81,0),"^",3)=$P(^PSD(58.81,0),"^",3)+1 G FIND
  ;Add next transaction node with data.
@@ -53,5 +52,4 @@
  S DIE="^PSD(58.81,",DA=PSANUM
  S DR="1////2;2////^S X=PSALOC;3////^S X=PSADT;4////^S X=PSA50;5////^S X=PSAQTY;9////^S X=$G(PSABAL)" D ^DIE K DIE,DA
- L -^PSD(58.81,0)  ;; >> *66 RJS
  ;Add activity node
  S DIC="^PSD(58.8,PSALOC,1,PSA50,4,",DIC(0)="L",(X,DINUM)=PSANUM,DIC("P")=$P(^DD(58.8001,19,0),"^",2),DA(2)=PSALOC,DA(1)=PSA50,DLAYGO=58.8 D ^DIC K DA,DIC,DLAYGO
Index: FOIAVistA/tag/r/DRUG_ACCOUNTABILITY-PSA/PSAUP4.m
===================================================================
--- FOIAVistA/trunk/r/DRUG_ACCOUNTABILITY-PSA/PSAUP4.m	(revision 631)
+++ FOIAVistA/tag/r/DRUG_ACCOUNTABILITY-PSA/PSAUP4.m	(revision 636)
@@ -1,4 +1,4 @@
 PSAUP4 ;BIR/JMB-Upload and Process Prime Vendor Invoice Data - CONT'D ;9/19/97
- ;;3.0; DRUG ACCOUNTABILITY/INVENTORY INTERFACE;**3,12,20,21,67**; 10/24/97;Build 15
+ ;;3.0; DRUG ACCOUNTABILITY/INVENTORY INTERFACE;**3,12,20,21**; 10/24/97
  ;This routine prints invoices from the ^XTMP global on the screen or
  ;to a printer.
@@ -112,5 +112,5 @@
  .I $Y+9>IOSL,+$P(PSADATA,"^",21),+$P(PSADATA,"^",27) D:$E(IOST,1,2)="C-" SCREEN Q:PSAOUT  D HEADER,LINEHDR
  .I $G(PSADRG) D HAVEDRG
- .I '$G(PSADRG) W !?9,"STOCK LEVEL  : ",!?9,"REORDER LEVEL: "_$P(PSADATA,"^",21),!?9,"DISPENSE UNITS/ORDER UNIT: " D DISP^PSAP67
+ .I '$G(PSADRG) W !?9,"STOCK LEVEL  : ",!?9,"REORDER LEVEL: "_$P(PSADATA,"^",21),!?9,"DISPENSE UNITS/ORDER UNIT: "
  .;
  .;Print Adj Qty
@@ -174,4 +174,3 @@
  W !?9,"DISPENSE UNITS/ORDER UNIT: "
  W $S(+$P(PSADATA,"^",20):+$P(PSADATA,"^",20),+$P($G(^PSDRUG(PSADRG,1,+$P(PSADATA,"^",7),0)),"^",7):+$P($G(^PSDRUG(PSADRG,1,+$P(PSADATA,"^",7),0)),"^",7),1:"")
- D DISP^PSAP67
  Q
Index: FOIAVistA/tag/r/DRUG_ACCOUNTABILITY-PSA/PSAUTL1.m
===================================================================
--- FOIAVistA/trunk/r/DRUG_ACCOUNTABILITY-PSA/PSAUTL1.m	(revision 631)
+++ FOIAVistA/tag/r/DRUG_ACCOUNTABILITY-PSA/PSAUTL1.m	(revision 636)
@@ -1,4 +1,4 @@
 PSAUTL1 ;BIR/JMB-Prime Vendor Invoice Data Utility ;9/19/97
- ;;3.0; DRUG ACCOUNTABILITY/INVENTORY INTERFACE;**3,12,15,21,48,49,54,67**; 10/24/97;Build 15
+ ;;3.0; DRUG ACCOUNTABILITY/INVENTORY INTERFACE;**3,12,15,21,48,49,54**; 10/24/97
  ;This routine contains utilities to get the location name, display an
  ;error-free item, display an item with errors, and display a line ready
@@ -51,12 +51,14 @@
  W !,"Unit Price  : $"_$P(PSADATA,"^",3),?38,"VSN: "_$S(PSAVSN'="":PSAVSN,1:"Blank"),!
  I $P(PSADATA,U,13)=.5 D  ;*48 AUTO OU UPDATE FOR MCKESSON
- .W !,"*****>",!,"Note: The order unit was changed from EACH to ",$P($G(^DIC(51.5,+PSAOU,0)),"^")," by Drug Accountability"
- .W !,"      during the upload of the invoiced data. Adjustments may be necessary.",!,"*****<"
- ;bgn *67
- W !,"PV-Drug-Description  : ",$S($P(PSADATA,"^",28)'="":$P(PSADATA,"^",28),1:"Unknown")
- W ?55,"PV-DUOU  : ",$S($P(PSADATA,"^",31)'="":$P(PSADATA,"^",31),1:"Unknown")
- W !,"PV-Drug-Generic Name : ",$S($P(PSADATA,"^",29)'="":$P(PSADATA,"^",29),1:"Unknown")
- W ?55,"PV-UNITS : ",$S($P(PSADATA,"^",30)'="":$P(PSADATA,"^",30),1:"Unknown"),!
- ;end *67
+ . W !,"*****>",!,"Note: The order unit was changed from EACH to ",$P($G(^DIC(51.5,+PSAOU,0)),"^")," by Drug Accountability"
+ . W !,"      during the upload of the invoiced data. Adjustments may be necessary.",!,"*****<"
+ ;*54 display VSN XTMP Drug Description and DUOU >==>
+ N PSAFLDT S PSAFLDT="February 2006"
+ N XXX S XXX=$G(^XTMP("PSAVSN",PSAVSN)) D
+ . I $G(^XTMP("PSAVSN",0)) S PSAFLDT=$P(^XTMP("PSAVSN",0),"^",4)
+ . W !,"PV-Drug-Descrip: "
+ . I '$L(XXX) W "Not Available. Item is OTC or new after ",PSAFLDT,! Q
+ . W ?20,$P(XXX,"~",2),?55,"PV-DUOU: ",+XXX,!
+ ;*54 display VSN XTMP Drug Description and DUOU <==<
  W !,"Dispense Units: "_$S(+PSAIEN&($P($G(^PSDRUG(+PSAIEN,660)),"^",8)'=""):$P($G(^PSDRUG(+PSAIEN,660)),"^",8),1:"Blank")
  W !,"Dispense Units Per Order Unit: "_$S($P(PSADATA,"^",20):+$P(PSADATA,"^",20),+PSASUB&(+$P($G(^PSDRUG(+PSAIEN,1,PSASUB,0)),"^",7)):+$P($G(^PSDRUG(+PSAIEN,1,PSASUB,0)),"^",7),1:"Blank")
@@ -98,13 +100,14 @@
  W !,"Unit Price  : $"_$S($G(PSAPRICE):PSAPRICE,PSAPRICE=0:0,1:"Blank"),?38,"VSN: "_$S(PSAVSN'="":PSAVSN,1:"Blank"),!
  I $P(PSADATA,U,13)=.5 D  ;*48 AUTO OU UPDATE FOR MCKESSON
- .N PSAOU S PSAOU=$P(PSADATA,U,12)
- .W !,"*****>",!,"Note: The order unit was changed from EACH to ",$P($G(^DIC(51.5,+PSAOU,0)),"^")," by Drug Accountability"
- .W !,"      during the upload of the invoiced data. Adjustments may be necessary.",!,"*****<"
- ;bgn *67
- W !,"PV-Drug-Description  : ",$S($P(PSADATA,"^",28)'="":$P(PSADATA,"^",28),1:"Unknown")
- W ?55,"PV-DUOU  : ",$S($P(PSADATA,"^",31)'="":$P(PSADATA,"^",31),1:"Unknown")
- W !,"PV-Drug-Generic Name : ",$S($P(PSADATA,"^",29)'="":$P(PSADATA,"^",29),1:"Unknown")
- W ?55,"PV-UNITS : ",$S($P(PSADATA,"^",30)'="":$P(PSADATA,"^",30),1:"Unknown"),!
- ;end *67
+ . N PSAOU S PSAOU=$P(PSADATA,U,12)
+ . W !,"*****>",!,"Note: The order unit was changed from EACH to ",$P($G(^DIC(51.5,+PSAOU,0)),"^")," by Drug Accountability"
+ . W !,"      during the upload of the invoiced data. Adjustments may be necessary.",!,"*****<"
+ N PSAFLDT S PSAFLDT="February 2006"
+ N XXX S XXX=$G(^XTMP("PSAVSN",PSAVSN)) D
+ .I $G(^XTMP("PSAVSN",0)) S PSAFLDT=$P(^XTMP("PSAVSN",0),"^",4)
+ . W !,"PV-Drug-Descrip: "
+ . I '$L(XXX) W "Not Available. Item is OTC or new after ",PSAFLDT,! Q
+ . W ?20,$P(XXX,"~",2),?55,"PV-DUOU: ",+XXX,!
+ ;*54 display VSN XTMP Drug Description and DUOU <==<
  S PSAIN=^XTMP("PSAPV",PSACTRL,"IN"),PSALOC=$S($P(PSADATA,"^",19)="CS":+$P(PSAIN,"^",12),1:+$P(PSAIN,"^",7))
 DU W !,"Dispense Units: "_$S(+PSAIEN&($P($G(^PSDRUG(+PSAIEN,660)),"^",8)'=""):$P($G(^PSDRUG(+PSAIEN,660)),"^",8),1:"Blank")
Index: FOIAVistA/tag/r/DRUG_ACCOUNTABILITY-PSA/PSAUTL4.m
===================================================================
--- FOIAVistA/trunk/r/DRUG_ACCOUNTABILITY-PSA/PSAUTL4.m	(revision 631)
+++ FOIAVistA/tag/r/DRUG_ACCOUNTABILITY-PSA/PSAUTL4.m	(revision 636)
@@ -1,4 +1,4 @@
 PSAUTL4 ;BIR ISC/JMB-Verify Invoices Utility ; 8/19/97
- ;;3.0; DRUG ACCOUNTABILITY/INVENTORY INTERFACE;**3,21,48,54,61,67**; 10/24/97;Build 15
+ ;;3.0; DRUG ACCOUNTABILITY/INVENTORY INTERFACE;**3,21,48,54,61**; 10/24/97;Build 1
  ;
  ;References to ^DIC(51.5 are covered by IA #1931
@@ -62,11 +62,12 @@
 VSN S:$D(PSADATA) PSAVSN=$P(PSADATA,"^",12) ;*48
  W ?38,"VSN: "_$S(PSAVSN'="":PSAVSN,1:"Blank"),!
- ;bgn *67
- S PSAP67=$G(^PSD(58.811,PSAIEN,1,PSAIEN1,3,PSALINE,0))
- W !,"PV-Drug-Description  : ",$S($P(PSAP67,"^",1)'="":$P(PSAP67,"^",1),1:"Unknown")
- W ?55,"PV-DUOU  : ",$S($P(PSAP67,"^",4)'="":$P(PSAP67,"^",4),1:"Unknown")
- W !,"PV-Drug-Generic Name : ",$S($P(PSAP67,"^",2)'="":$P(PSAP67,"^",2),1:"Unknown")
- W ?55,"PV-UNITS : ",$S($P(PSAP67,"^",3)'="":$P(PSAP67,"^",3),1:"Unknown"),!
- ;end *67
+ ;*54 display VSN XTMP Drug Description and DUOU |==>
+ N PSAFLDT S PSAFLDT="February 2006"
+ N XXX I PSAVSN'="" S XXX=$G(^XTMP("PSAVSN",PSAVSN)) D
+ . I $G(^XTMP("PSAVSN",0)) S PSAFLDT=$P(^XTMP("PSAVSN",0),"^",4)
+ . W !,"PV-Drug-Descrip: "
+ . I '$L(XXX) W "Not Available. Item is OTC or new after ",PSAFLDT,! Q
+ . W ?20,$P(XXX,"~",2),?55,"PV-DUOU: ",+XXX,!
+ ;*54 display VSN XTMP Drug Description and DUOU <==|
 VDU S PSADUOU=+$P(PSATEMP,"^"),PSAREORD=+$P(PSATEMP,"^",2),PSASUB=+$P(PSATEMP,"^",3),PSASTOCK=+$P(PSATEMP,"^",4)
  W !,"Dispense Units: "_$S($P($G(^PSDRUG(+PSADRG,660)),"^",8)'="":$P($G(^PSDRUG(+PSADRG,660)),"^",8),1:"Blank")
Index: FOIAVistA/tag/r/DRUG_ACCOUNTABILITY-PSA/PSAVER7.m
===================================================================
--- FOIAVistA/trunk/r/DRUG_ACCOUNTABILITY-PSA/PSAVER7.m	(revision 631)
+++ FOIAVistA/tag/r/DRUG_ACCOUNTABILITY-PSA/PSAVER7.m	(revision 636)
@@ -1,4 +1,4 @@
 PSAVER7 ;BIR/JMB-Verify Invoices - CONT'D ;7/23/97
- ;;3.0; DRUG ACCOUNTABILITY/INVENTORY INTERFACE;**12,21,42,56,64,66**; 10/24/97;Build 2
+ ;;3.0; DRUG ACCOUNTABILITY/INVENTORY INTERFACE;**12,21,42,56,64**; 10/24/97;Build 4
  ;Background Job
  ;This routine increments pharmacy location and master vault balances
@@ -43,5 +43,5 @@
  S PSANPDU=$J(($G(PSAPOU)/$G(PSADUOU)),0,3) ;Price of Order Unit divide by Disp. Units per Order Unit
  ;PSA*3*42 |>  (let changes happen and file, put changes into mail message)
- S DIE="^PSDRUG(",(DA,OLDDA)=PSADRG,DR="12////^S X=PSAOU;15////^S X=PSADUOU;Q;13////^S X=PSAPOU" ;*42;*56
+ S DIE="^PSDRUG(",DA=PSADRG,DR="12////^S X=PSAOU;15////^S X=PSADUOU;Q;13////^S X=PSAPOU" ;*42;*56
  F  L +^PSDRUG(DA,0):$S($G(DILOCKTM)>0:DILOCKTM,1:3) I  Q
  D ^DIE K DIE,DA,DR
@@ -64,7 +64,6 @@
  .F  L +^PSDRUG(DA,0):$S($G(DILOCKTM)>0:DILOCKTM,1:3) I  Q
  .D ^DIE L -^PSDRUG(DA,0) K DIE,DA,DR
-SYNONYM ;Adds/edits the SYNONYM multiple in DRUG file  >>*66 RJS
- G:PSANDC="" END
- S DA(1)=PSADRG  ;;  << *66 RJS
+SYNONYM ;Adds/edits the SYNONYM multiple in DRUG file
+ Q:PSANDC=""  K DA,DR S DA(1)=PSADRG
  ;
  S PSANPDU=$J(($G(PSAPOU)/$G(PSADUOU)),0,3) ;Price of Order Unit divide by Disp. Units per Order Unit
@@ -92,5 +91,3 @@
  D ^DIE L -^PSDRUG(PSADRG,0)
  K DIE,DR,X1,X2,DATA
-END ; FINAL CLEANUP  << *66 RJS
- L -^PSDRUG(OLDDA,0) K OLDDA  ;; >> *66 RJS
  Q
Index: FOIAVistA/tag/r/DRUG_ACCOUNTABILITY-PSA/PSAVERA.m
===================================================================
--- FOIAVistA/trunk/r/DRUG_ACCOUNTABILITY-PSA/PSAVERA.m	(revision 631)
+++ FOIAVistA/tag/r/DRUG_ACCOUNTABILITY-PSA/PSAVERA.m	(revision 636)
@@ -1,4 +1,4 @@
 PSAVERA ;BHM/DBM - Change verified invoice data;16AUG05
- ;;3.0; DRUG ACCOUNTABILITY/INVENTORY INTERFACE;**21,36,40,53,63**; 10/24/97;Build 10
+ ;;3.0; DRUG ACCOUNTABILITY/INVENTORY INTERFACE;**21,36,40,53**; 10/24/97
  ;
  ;References to ^DIC(51.5 are covered by IA #1931
@@ -11,11 +11,14 @@
 INV ;Get Invoice Number
  S DIC(0)="AEQMZ",DIC("A")="Select Invoice Number: ",DIC="^PSD(58.811,"_PSAIEN_",1,",D="ASTAT" D ^DIC K DIC G Q:+Y'>0 S PSAIEN1=+Y,PSAINV=$P(Y,U,2)
+ ;
  S DATA=$G(^PSD(58.811,PSAIEN,1,PSAIEN1,0))
  S PSALOC=$S($P(DATA,"^",12)'="":$P(DATA,"^",12),1:$P(DATA,"^",5)) I $G(PSALOC)="" S PSALOC="No Location identified"
  D ^PSAVERA1
+ ;
  K DATA,PSAITM,LINENUM,X,X1,X2,X3,DIC,DA,DR D HDR
 DISP S PSAITM=$S('$D(PSAITM):$O(INVARRAY(PSAORD,PSAINV,0)),1:$O(INVARRAY(PSAORD,PSAINV,PSAITM))) G LINEASK:PSAITM'>0 S LINENUM=$G(LINENUM)+1
- S DATA=$G(INVARRAY(PSAORD,PSAINV,PSAITM)),PSAOU=$P(DATA,"^",4) I $G(PSAOU) S PSAOU(1)=$P($G(^DIC(51.5,$P(DATA,"^",4),0)),"^") ;Current Order Unit  ;; <*63 RJS
- W !,PSAITM,?10,$S($P($P(DATA,"^",1),"~",1)'>0:$P($P(DATA,"^",1),"~",1),1:$P($P(DATA,"^",1),"~",2)),?45,$S($G(PSAOU)="":"none",$G(PSAOU(1))'="":$G(PSAOU(1)),1:$G(PSAAOU)),?55,$J($P($G(DATA),"^",2),4),?61,$P(DATA,"^",5)  ;; *63 RJS>
+ S DATA=$G(INVARRAY(PSAORD,PSAINV,PSAITM))
+ S PSAOU=$P(DATA,"^",4) I $G(PSAOU) S PSAOU(1)=$P($G(^DIC(51.5,$P(DATA,"^",4),0)),"^") ;Current Order Unit
+ W !,PSAITM,?10,$S($P($P(DATA,"^",1),"~",1)'>0:$P($P(DATA,"^",1),"~",1),1:$P($P(DATA,"^",1),"~",2)),?45,$S($G(PSAOU)="":"none",$G(PSAOU(1))'="":$G(PSAOU(1)),1:$G(PSAAOU)),?55,$J($P($G(DATA),"^",2),4),?61,$P(DATA,"^",5)
  I IOST["C-",$Y>(IOSL-5) S DIR(0)="E" D ^DIR G Q:$G(DUOUT)=1 D HDR
  G DISP
@@ -31,23 +34,23 @@
  S PSALINEN="" D VERDISP^PSAUTL4 W !,PSASLN,!
  S PSAVEND=$P(^PSD(58.811,PSAIEN,0),"^",2)
+ ;VMP OIFO BAY PINES;VGF;PSA*3.0*40;GET ORIGINAL DISPENSE UNITS PER ORDER UNIT FOR SUBTRACTION
  S PSAODUOU=PSADUOU
- ;; *63
- S PSA581="" F  S PSA581=$O(^PSD(58.81,"PV",PSAINV,PSA581)) Q:'PSA581  I $P(^PSD(58.81,PSA581,0),U,5)=PSADRG S PSABFR(581)=$G(^PSD(58.81,PSA581,0))
- S:$G(PSABFR(581)) PSDTRN=$P(PSABFR(581),U,1),PSABFR("Q")=$S($G(^PSD(58.81,PSDTRN,4)):$P(^PSD(58.81,PSDTRN,4),"^",3),1:$P(^PSD(58.81,PSDTRN,0),"^",6)) ; <*63 RJS >
+ ;
 DRG W !,"Select (D)rug or (O)rder Unit " R AN:DTIME G Q:AN["^"!(AN="") W $S("Dd"[AN:"rug","oO"[AN:"rder Unit",1:"??") I "DdOo"'[AN W !,"Enter a 'D' to edit the Drug, or 'O' to edit the order unit",! K AN G DRG
- I "Dd"'[AN D ^PSAVERA3 G Q  ;;*63
+ I "Dd"'[AN G ^PSAVERA3
  ;Get either new name of drug or supply item description
- S PSABFR=$P(DATA,"~",1),PSABFR(1)=$S(PSABFR'?.N:PSABFR,1:$P($P(DATA,"^"),"~",2)),PSABFR("NDC")=$P(PSADATA,"^",11)  ;;*63
+ S PSABEFOR=$P(DATA,"~",1),PSABEFOR(1)=$S(PSABEFOR'?.N:PSABEFOR,1:$P($P(DATA,"^"),"~",2))
+ S PSABEFOR("NDC")=$P(PSADATA,"^",11)
 DRGAGN D
- .S X1=0 F  S X1=$O(^PSDRUG(PSABFR,1,X1)) Q:X1'>0  S DATA=$G(^PSDRUG(PSABFR,1,X1,0)) I $P(DATA,"^",2)=PSABFR("NDC") S PSABFR("SYNNODE")=X1  ;;*63
+ .S X1=0 F  S X1=$O(^PSDRUG(PSABEFOR,1,X1)) Q:X1'>0  S DATA=$G(^PSDRUG(PSABEFOR,1,X1,0)) I $P(DATA,"^",2)=PSABEFOR("NDC") S PSABEFOR("SYNNODE")=X1
  D PSANDC1^PSAHELP S PSADASH=PSANDCX K PSANDCX
- I $G(PSABFR("SYNNODE"))="",$E(PSABFR("NDC"))'="S" S PSABFR("NDC")="S"_PSABFR("NDC") G DRGAGN ;may be supply, try again
- I $G(PSABFR("SYNNODE"))'="" S PSASUB=PSABFR("SYNNODE") D
- .S DATA=$G(^PSDRUG(PSABFR,1,PSASUB,0)),PSAOU=$P(DATA,"^",5),PSAPOU=$P(DATA,"^",6),PSADUOU=$P(DATA,"^",7),PSAPDUOU=$P(DATA,"^",8)
- .S PSADU=$P($G(^PSDRUG(PSABFR,660)),"^",8)
+ I $G(PSABEFOR("SYNNODE"))="",$E(PSABEFOR("NDC"))'="S" S PSABEFOR("NDC")="S"_PSABEFOR("NDC") G DRGAGN ;may be supply, try again
+ I $G(PSABEFOR("SYNNODE"))'="" S PSASUB=PSABEFOR("SYNNODE") D
+ .S DATA=$G(^PSDRUG(PSABEFOR,1,PSASUB,0)),PSAOU=$P(DATA,"^",5),PSAPOU=$P(DATA,"^",6),PSADUOU=$P(DATA,"^",7),PSAPDUOU=$P(DATA,"^",8)
+ .S PSADU=$P($G(^PSDRUG(PSABEFOR,660)),"^",8)
  I ($G(PSAOU)=""!$G(PSAPOU)=""!$G(PSADUOU)=""!$G(PSAPDUOU)="") W !!,"Sorry, I could not find the necessary information to change the drug selection.",! G Q
- W !,"Current Drug : ",PSABFR(1)
-DRG1 S PSAGAIN=0,DIC("A")="Select name of Correct Drug: ",PSABFR=PSADRG,DIC(0)="AEQMZ",DIC="^PSDRUG(" D ^DIC K DIC G Q:PSAOUT
- I $G(DTOUT)!($G(DUOT))!(Y<0) S PSAOUT=1 Q
+ W !,"Current Drug : ",PSABEFOR(1)
+DRG1 S PSAGAIN=0,DIC("A")="Select name of Correct Drug: ",PSABEFOR=PSADRG,DIC(0)="AEQMZ",DIC="^PSDRUG(" D ^DIC K DIC G Q:PSAOUT
+ I $G(DTOUT)!($G(DUOT)) S PSAOUT=1 Q
  S (PSADJ,PSADRG)=+Y
  W !!,"Comparing drug file data..."
@@ -55,4 +58,5 @@
  I $P($G(^PSDRUG(PSADRG,660)),"^",2)'=$G(PSAOU) W !,"The Order Units are different between these two drugs."
  I $P($G(^PSDRUG(PSADRG,660)),"^",8)'=$G(PSADU) W !,"Please Enter an appropriate Dispense Unit" S DIE="^PSDRUG(",DA=PSADRG,DR="14.5" D ^DIE S PSADU=$P(^PSDRUG(PSADRG,660),"^",8)
+ ;VMP OIFO BAY PINES;VGF;PSA*3.0*36
  I $P($G(^PSDRUG(PSADRG,660)),"^",5)'=$G(PSADUOU) W !,"Please enter the appropriate Dispense Units per order unit" S DIE="^PSDRUG(",DA=PSADRG,DR="15" D ^DIE S PSADUOU=$P(^PSDRUG(PSADRG,660),"^",5)
  K DIE,DA,DR
@@ -60,25 +64,73 @@
  S AN=$E(AN) I "yYnN"'[AN W !,"Answer yes, and the data on file for the current drug will be transferred",!,"to the new drug selection.",!,"That includes Order Unit, Dispense Unit, Dispense Units per Order Unit, etc.",!! G ASK
  I "Nn"[AN G NOCHNG ;*53
- S PSAAFTER=PSADRG,PSADRG=PSABFR
- I $D(^PSDRUG(PSADRG))&$G(PSABFR(581)) D
- .W !,"Removing "_PSABFR("Q")_" from "_PSABFR(1)
- .S FMDATA=$P($G(^PSDRUG(PSADRG,660.1)),"^")-PSABFR("Q"),DIE="^PSDRUG(",DA=PSADRG,DR="50////^S X="_FMDATA
- .F  L +^PSDRUG(DA,0):$S($G(DILOCKTM)>0:DILOCKTM,1:3) I  Q
- .D ^DIE L -^PSDRUG(DA,0) K FMDATA
+ ;VMP OIFO BAY PINES;VGF;PSA*3.0*36
+ S PSAAFTER=PSADRG,PSADRG=PSABEFOR
+ I $D(^PSDRUG(PSADRG)) D
+ .;VMP OIFO BAY PINES;VGF;PSA*3.0*40
+ .W !,"Removing "_($G(PSAQTY)*$G(PSAODUOU))_" from "_PSABEFOR(1)
+ .S FMDATA=$P($G(^PSDRUG(PSADRG,660.1)),"^")-(PSAODUOU*PSAQTY)
+ .S DIE="^PSDRUG(",DA=PSADRG,DR="50////^S X="_FMDATA
+ .F  L +^PSDRUG(DA,0):0 I  Q
+ .D ^DIE
+ .L -^PSDRUG(DA,0)
+ .K FMDATA
  S PSADRG=PSAAFTER
  I $G(PSAPOU)="",$G(PSAPRICE)'="" S PSAPOU=PSAPRICE
  W !,"Adding "_($G(PSAQTY)*$G(PSADUOU))_" to "_$P($G(^PSDRUG(PSADRG,0)),"^")
  W !,"Entering new drug selection as an adjustment."
- S PSAREA="",PSADJFLD="D",PSADJ=PSADRG D RECORD^PSAVER2,50^PSAVER7
+ S PSAREA="",PSADJFLD="D",PSADJ=PSADRG D RECORD^PSAVER2
+ D 50^PSAVER7
 FILE ;File dispense units per order units into 58.811
- S DIE="^PSD(58.811,"_PSAIEN_",1,"_PSAIEN1_",1,",DA=PSALINE,DA(1)=PSAIEN1,DA(2)=PSAIEN,DR="10///"_PSADUOU D ^DIE
- G:$D(^PSD(58.811,"ASTAT","P",PSAIEN,PSAIEN1)) Q  ;; *63 RJS
- D UPDATE^PSAVERA1 G Q
+ S DIE="^PSD(58.811,"_PSAIEN_",1,"_PSAIEN1_",1,"
+ S DA=PSALINE,DA(1)=PSAIEN1,DA(2)=PSAIEN
+ S DR="10///"_PSADUOU
+ D ^DIE
+ ;File data in 58.8
+ ;PSALOC= Either PSALOC or PSALOCB
+ ;VMP OIFO BAY PINES;VGF;PSA*3.0*40;UPDATE 
+ S PSADRG=PSABEFOR
+ F  L +^PSD(58.8,PSALOC,1,PSADRG,0):0 I  Q
+ S PSADUREC=PSAQTY*$G(PSAODUOU)
+ S PSABAL=$P($G(^PSD(58.8,PSALOC,1,PSADRG,0)),"^",4)
+ S $P(^PSD(58.8,PSALOC,1,PSADRG,0),"^",4)=PSABAL-PSADUREC
+ L -^PSD(58.8,PSALOC,1,PSADRG,0)
+ ;VMP OIFO BAY PINES;VGF;PSA*3.0*40;ADDED *$G(PSADUOU)
+ S PSADRG=PSAAFTER
+ S PSADUREC=PSAQTY*$G(PSADUOU)
+ D NOW^%DTC S PSADT=+$E(%,1,14)
+ I '$D(^PSD(58.8,PSALOC,1,PSADRG,0)) D
+ .S:'$D(^PSD(58.8,PSALOC,1,0)) DIC("P")=$P(^DD(58.8,10,0),"^",2)
+ .S DA(1)=PSALOC,DIC="^PSD(58.8,"_DA(1)_",1,",(DA,DINUM,X)=PSADRG,DIC(0)="L",DLAYGO=58.8 ;*53
+ .F  L +^PSD(58.8,PSALOC,0):0 I  Q
+ .D FILE^DICN L -^PSD(58.8,PSALOC,0) K DIC,DA,DLAYGO
+ F  L +^PSD(58.8,PSALOC,1,PSADRG,0):0 I  Q
+ S PSABAL=$P($G(^PSD(58.8,PSALOC,1,PSADRG,0)),"^",4)
+ I $P($G(^PSD(58.8,PSALOC,1,PSADRG,0)),"^",1)'=PSADRG S $P(^PSD(58.8,PSALOC,1,PSADRG,0),"^",1)=PSADRG
+ S $P(^PSD(58.8,PSALOC,1,PSADRG,0),"^",4)=PSADUREC+PSABAL
+ I +$P($G(^PSD(58.8,PSALOC,0)),"^",14) D
+ .I PSASTOCK'=$P(^PSD(58.8,PSALOC,1,PSADRG,0),"^",3) S $P(^PSD(58.8,PSALOC,1,PSADRG,0),"^",3)=PSASTOCK
+ .I PSAREORD'=$P(^PSD(58.8,PSALOC,1,PSADRG,0),"^",5) S $P(^PSD(58.8,PSALOC,1,PSADRG,0),"^",5)=PSAREORD
+ S:'$D(^PSD(58.8,PSALOC,1,PSADRG,5,0)) DIC("P")=$P(^DD(58.8001,20,0),"^",2)
+ I '$D(^PSD(58.8,PSALOC,1,PSADRG,5,$E(DT,1,5)*100,0)) D
+ .S DIC="^PSD(58.8,"_PSALOC_",1,"_PSADRG_",5,",DIC(0)="L",DIC("DR")="1////^S X=$G(PSABAL)",(X,DINUM)=$E(DT,1,5)*100,DA(2)=PSALOC,DA(1)=PSADRG,DLAYGO=58.8 D ^DIC K DIC
+ .S X="T-1M" D ^%DT S DIC="^PSD(58.8,"_PSALOC_",1,"_PSADRG_",5,",DIC(0)="L",(X,DINUM)=$E(Y,1,5)*100 D ^DIC K DIC,DLAYGO S DA=+Y
+ .S DA(2)=PSALOC,DA(1)=PSADRG,DIE="^PSD(58.8,"_DA(2)_",1,"_DA(1)_",5,",DR="3////^S X=$G(PSABAL)" D ^DIE K DIE
+ S DA(2)=PSALOC,DA(1)=PSADRG,DIE="^PSD(58.8,"_DA(2)_",1,"_DA(1)_",5,",DA=$E(DT,1,5)*100,DR="5////^S X="_($P($G(^(0)),"^",3)+PSADUREC) D ^DIE K DIE
+ L -^PSD(58.8,PSALOC,1,PSADRG,0)
+ W !,"updating pharmacy location file."
+FILE581 ;Update transaction file
+ S PSAVDUZ=DUZ
+FIND S PSAT=$P(^PSD(58.81,0),"^",3)+1 I $D(^PSD(58.81,PSAT)) S $P(^PSD(58.81,0),"^",3)=$P(^PSD(58.81,0),"^",3)+1 G FIND
+ S DIC="^PSD(58.81,",DIC(0)="L",DLAYGO=58.81,(DINUM,X)=PSAT D ^DIC K DIC,DINUM,DLAYGO L -^PSD(58.81,0)
+ S DIE="^PSD(58.81,",DA=PSAT,DR="1////1;2////^S X=PSALOC;3////^S X=PSADT;4////^S X=PSADRG;5////^S X=PSADUREC;6////^S X=PSAVDUZ;9////^S X=PSABAL;71////^S X=PSAINV;106////^S X=PSAORD"
+ I $G(PSACS)>0 S DR=DR_";100////^S X=PSACS"
+ F  L +^PSD(58.81,DA,0):0 I  Q
+ D ^DIE L -^PSD(58.81,DA,0) K DIE W !,"updating transaction file." Q
  ;
 HDR W @IOF,!?25,"EDIT VERIFIED INVOICED ITEM SCREEN",!,PSASLN,!
  W !,?44,"Order",!,"#",?10,"Drug/Item Name",?45,"Unit",?56,"Qnty.",?67,"NDC",!,PSASLN,! Q
-Q K AN,D,DA,DATA,DIC,DIR,INVARRAY,LINENUM,POP,PSA50IEN,PSA581,PSAABAL,PSAAFTER,PSAAQTY,PSABAL,PSABFR,PSACS,PSADASH,PSADATA,PSADJ,PSADJD,PSADJFLD,PSADJO,PSADJP,PSADJQ,PSADRG,PSADRUGN,PSADT
- K PSADU,PSADUOU,PSADUREC,PSAEDTT,PSAGAIN,PSAIEN,PSAIEN1,PSAIN,PSAINV,PSAITM,PSALINE,PSALINEN,PSALOC,PSANDC,PSANDUOU,PSANEW,PSANODE,PSANPDU,PSANQTY,PSAODASH,PSAODU,PSAODUOU,PSAONDC,PSAORD
- K PSAOU,PSAOUT,PSAPOU,PSAPRICE,PSAQTY,PSAREA,PSAREORD,PSASET,PSASLN,PSASTOCK,PSASUB,PSASUP,PSASUPP,PSAT,PSATEMP,PSAUPC,PSAVDUZ,PSAVEND,PSAVER,PSAVSN,PSAXDUOU,PSDTRN,X,X1,X2,X3,XX,XXX,Y
+Q K AN,D,DA,DATA,DIC,DIR,INVARRAY,LINENUM,PSA50IEN,PSABAL,PSABEFOR,PSACS,PSADATA,PSADJ,PSADJFLD,PSADRG,PSADT,PSADUREC,PSAGAIN,PSAIEN,PSAIEN1,PSAIN,PSAINV,PSALINE,PSALINEN
+ K PSALOC,PSANDC,PSAORD,PSAOUT,PSAQTY,PSAREA,PSAREORD,PSASLN,PSASTOCK,PSASUB,PSASUP,PSASUPP,PSAT,PSAVER,X,X1,X2,X3,XX,XXX,Y,PSAODUOU
+ K PSAODU,PSAODUOU,PSAXDUOU
  Q
 NOCHNG ;*53 said no to changes, backout the edits on the new drug choice.
